package server;

import java.util.ArrayList;
import java.util.List;

/**
 * <servlet-mapping>
 *         <servlet-name>login</servlet-name>
 *         <url-pattern>login</url-pattern>
 *     </servlet-mapping>
 *     <servlet-mapping>
 *         <servlet-name>login</servlet-name>
 *         <url-pattern>log</url-pattern>
 *     </servlet-mapping>
 */
public class Mapping {     //映射关系，多个路劲访问共享资源
    private String name;           //servlet-name
    private List<String> urlPattern;      //url-pattern

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<String> getUrlPattern() {
        return urlPattern;
    }

    public void setUrlPattern(List<String> urlPattern) {
        this.urlPattern = urlPattern;
    }

    public Mapping() {
        urlPattern = new ArrayList<String>();
    }

    public Mapping(String name, List<String> urlPattern) {
        this.name = name;
        this.urlPattern = urlPattern;
    }
}
